@import url('https://fonts.googleapis.com/css?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    font-family: 'poppins', serif;
    box-sizing: border-box;
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: #2e2e2e;
    color: #fff;
    font-family: sans-serif;
}

.calculator {
    border: 1px solid rgba(255, 166, 0, 0.256);
    width: 100%;
    max-width: 350px;
    padding: 10px;
    border-radius: 10px;
    background: #000;
}

.ecran {
    width: 100%;
    height: 120px;
    background: #201f1f;
    border-radius: 6px;
}

.ecran .ligne {
    width: 100%;
    height: 60px;
    text-align: right;
    padding: 10px 15px;
    font-size: 40px;
    overflow-y: hidden;
    overflow-x: auto;
    scrollbar-width: none;
}

.ecran .ligne-1 {
    color: orange;
}

.clavier {
    width: 100%;
    padding: 10px;
}

.clavier .ligne {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin: 10px 0px;
}

.clavier .ligne .btn {
    display: block;
    text-align: center;
    background: #201f1f;
    width: 70px;
    height: 50px;
    font-size: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50px;
    user-select: none;
}

.clavier .ligne .btn:hover {
    cursor: pointer;
}

.clavier .ligne .operator {
    
    background: orange;
}

.clavier .ligne .operator:hover {
    background: rgba(255, 166, 0, 0.904);
}

.clavier .ligne .action {
    background: #433c3c;
}
.clavier .ligne .action:hover {
    background: #433c3ce2;
}